Microsoft 資訊安全公告 MS16-003 - 重大

用來解決遠端執行程式碼的 JScript 和 VBScript 累積安全性更新 (3125540)

發行日期:2016 年 1 月 12 日 | 更新日期:2016 年 5 月 25 日

版本: 1.1

提要

這個安全性更新可解決 Microsoft Windows 的 VBScript 指令碼引擎中一項弱點。如果使用者造訪蓄意製作的網站,此弱點可能會允許遠端執行程式碼。成功利用此弱點的攻擊者可以取得與目前使用者相同的使用者權限。如果目前的使用者以系統管理使用者權限登入,則成功利用此弱點的攻擊者可以取得受影響系統的控制權。攻擊者接下來將能安裝程式,檢視、變更或刪除資料,或建立具有完整使用者權限的新帳戶。

對於支援的 Windows Vista 版本、Windows Server 2008 版本和 Windows Server 2008 R2 的伺服器核心安裝版本上受影響的 VBScript 指令碼引擎版本,此安全性更新的等級為「重大」。如需詳細資訊,請參閱<受影響的軟體>一節。

這項更新會修改 VBScript 指令碼引擎處理記憶體中物件的方式,藉此解決此弱點。如需有關此弱點的詳細資訊,請參閱<弱點資訊>一節。

如需有關此更新的詳細資訊,請參閱 Microsoft 知識庫文章編號 3125540

受影響的軟體

此公告所討論的弱點會影響下列版本的 VBScript。未列出的舊版號或版本不是超出支援週期就是不受影響。下列受影響的軟體適用於已安裝 Internet Explorer 7 或舊版本的系統以及未安裝 Internet Explorer 的系統。系統執行 Internet Explorer 8 或更新版本的客戶應該套用 Internet Explorer 積存更新 3124275 (MS16-001) (同時解決此公告所討論的弱點)。

受影響的軟體

**作業系統** **元件** **最大資訊安全影響** **彙總嚴重性等級** **已取代更新**\*
**Windows Vista**
Windows Vista Service Pack 2 [VBScript 5.7](https://www.microsoft.com/zh-tw/download/details.aspx?id=50603) (3124624) 遠端執行程式碼 重大 [MS15-126](https://technet.microsoft.com/zh-tw/library/security/ms15-126) 中的 3105579
Windows Vista x64 Edition Service Pack 2 [VBScript 5.7](https://www.microsoft.com/zh-tw/download/details.aspx?id=50540) (3124624) 遠端執行程式碼 重大 [MS15-126](https://technet.microsoft.com/zh-tw/library/security/ms15-126) 中的 3105579
**Windows Server 2008**
適用於 32 位元系統的 Windows Server 2008 Service Pack 2 [VBScript 5.7](https://www.microsoft.com/zh-tw/download/details.aspx?id=50528) (3124624) 遠端執行程式碼 重大 [MS15-126](https://technet.microsoft.com/zh-tw/library/security/ms15-126) 中的 3105579
適用於 x64 型系統的 Windows Server 2008 Service Pack 2 [VBScript 5.7](https://www.microsoft.com/zh-tw/download/details.aspx?id=50643) (3124624) 遠端執行程式碼 重大 [MS15-126](https://technet.microsoft.com/zh-tw/library/security/ms15-126) 中的 3105579
適用於 Itanium 型系統的 Windows Server 2008 Service Pack 2 [VBScript 5.7](https://www.microsoft.com/download/details.aspx?familyid=20a918cb-ce51-426e-a356-8edccf127b62) (3124624) 遠端執行程式碼 重大 [MS15-126](https://technet.microsoft.com/zh-tw/library/security/ms15-126) 中的 3105579
**Server Core 安裝選項**
適用於 32 位元系統的 Windows Server 2008 Service Pack 2 (Server Core 安裝) [VBScript 5.7](https://www.microsoft.com/zh-tw/download/details.aspx?id=50528) (3124624) 遠端執行程式碼 重大 [MS15-126](https://technet.microsoft.com/zh-tw/library/security/ms15-126) 中的 3105579
適用於 x64 型系統的 Windows Server 2008 Service Pack 2 (Server Core 安裝) [VBScript 5.7](https://www.microsoft.com/zh-tw/download/details.aspx?id=50643) (3124624) 遠端執行程式碼 重大 [MS15-126](https://technet.microsoft.com/zh-tw/library/security/ms15-126) 中的 3105579
適用於 x64 型系統的 Windows Server 2008 R2 Service Pack 1 (僅限 Server Core 安裝) [VBScript 5.8](https://www.microsoft.com/zh-tw/download/details.aspx?id=50544) (3124625) 遠端執行程式碼 重大 [MS15-126](https://technet.microsoft.com/zh-tw/library/security/ms15-126) 中的 3105578
\* \[已取代更新\] 資料行僅顯示任何被取代更新鏈結中的最新更新。如需完整的已取代更新清單,請前往 [Microsoft Update Catalog](https://catalog.update.microsoft.com/v7/site/home.aspx) (英文),搜尋更新知識庫文章編號,然後檢視更新詳細資料 (已取代更新資訊位於 \[套件詳細資料\] 索引標籤)。

更新常見問題集

為什麼我在此累積安全性更新套件中同時看到 JScript.dll 和 VBScript.dll?
此安全性更新是做為 JScript 和 VBScript 指令碼引擎的累積更新發行。此版本包含兩個引擎,受到此公告涵蓋的安全性修正影響的元件會列在上述的<受影響的軟體>一節。

如何分辨我的系統上安裝的 JScript 和 VBScript 指令碼引擎版本?
JScript 和 VBScript 指令碼引擎會與受支援的 Microsoft Windows 版本一起安裝。此外,在系統上安裝較新版本的 Internet Explorer 可以變更已安裝的 JScript 和 VBScript 指令碼引擎版本。

若要分辨您的系統上安裝的 JScript 或 VBScript 指令碼引擎版本,請執行下列步驟:

  1. 開啟 Windows 檔案總管。
  2. 瀏覽至 %systemroot%\system32 目錄。
  3. 若為 VBScript,請在 [vbscript.dll] 上按一下滑鼠右鍵,並選取 [內容],然後按一下 [詳細資料] 索引標籤。
  4. 若為 JScript,請在 [jscript.dll] 上按一下滑鼠右鍵,並選取 [內容],然後按一下 [詳細資料] 索引標籤。

版本號碼列在 [檔案版本] 欄位中。如果您的檔案版本開頭為 5.8,例如 5.8.7600.16385,則您系統上安裝的是 VBScript 5.8。

知道我系統上安裝的 JScript 或 VBScript 指令碼引擎版本之後,可以在哪裡取得更新?
此公告中的受影響軟體適用於未安裝 Internet Explorer 的系統以及已安裝 Internet Explorer 7 或舊版本的系統。系統執行 Internet Explorer 8 或更新版本的客戶應該套用 Internet Explorer 積存更新 (MS16-001) (同時解決此公告所討論的弱點)。

下表摘要說明哪個公告依 JScript 和 VBScript 以及 Internet Explorer 版本提供更新。

版本 MS16-003 MS16-001
JScript 5.7 和 VBScript 5.7
(Internet Explorer 7)
JScript 5.7 和 VBScript 5.7
(3124624)
不適用
JScript 5.8 和 VBScript 5.8
(Internet Explorer 8)
JScript 5.8 和 VBScript 5.8
(3124625)
(僅限適用於 x64 型系統的 Windows Server 2008 R2 Service Pack 1 上的 Windows Server Core 安裝。)
Internet Explorer 8
(3124275)
JScript 5.8 和 VBScript 5.8
(Internet Explorer 9)
不適用 Internet Explorer 9
(3124275)
JScript 5.8 和 VBScript 5.8
(Internet Explorer 10)
不適用 Internet Explorer 10
(3124275)
JScript 5.8 和 VBScript 5.8
(Internet Explorer 11)
不適用 Internet Explorer 11
(3124275)
JScript 5.8 和 VBScript 5.8
(Internet Explorer 11)
不適用 Windows 10 的 Internet Explorer 11
(3124266)
JScript 5.8 和 VBScript 5.8
(Internet Explorer 11)
不適用 Windows 10 1511 版的 Internet Explorer 11
(3124263)

嚴重性等級和弱點識別碼

下列嚴重性等級是假設弱點可能造成的最嚴重影響而評定。在本資訊安全公告發行的 30 天內,如需弱點易遭利用性與嚴重性等級和安全性影響之間對應關係的資訊,請參閱 1 月份公告摘要中的<弱點入侵指數>。

**依受影響軟體列出的弱點嚴重性等級和最大安全性影響**
**受影響的軟體** [**指令碼引擎記憶體損毀弱點 - CVE-2016-0002**](https://www.cve.mitre.org/cgi-bin/cvename.cgi?name=cve-2016-0002) **彙總嚴重性等級**
**VBScript 5.7 (Internet Explorer 7)**
Windows Vista Service Pack 2 上的 VBScript 5.7 (3124624) **重大** 遠端執行程式碼 **重大**
Windows Vista x64 Edition Service Pack 2 上的 VBScript 5.7 (3124624) **重大** 遠端執行程式碼 **重大**
適用於 32 位元系統的 Windows Server 2008 Service Pack 2 上的 VBScript 5.7 (3124624) **重大** 遠端執行程式碼 **重大**
適用於 32 位元系統的 Windows Server 2008 Service Pack 2 上的 VBScript 5.7 (Server Core 安裝) (3124624) **重大** 遠端執行程式碼 **重大**
適用於 x64 型系統之 Windows Server 2008 Service Pack 2 上的 VBScript 5.7 (3124624) **重大** 遠端執行程式碼 **重大**
適用於 x64 型系統之 Windows Server 2008 Service Pack 2 上的 VBScript 5.7 (Server Core 安裝) (3124624) **重大** 遠端執行程式碼 **重大**
適用於 Itanium 型系統的 Windows Server 2008 Service Pack 2 上的 VBScript 5.7 (3124624) **重大** 遠端執行程式碼 **重大**
**VBScript 5.8**
適用於 x64 型系統之 Windows Server 2008 R2 Service Pack 1 上的 VBScript 5.8 (僅限 Server Core 安裝) (3124625) **重大** 遠端執行程式碼 **重大**

弱點資訊

指令碼引擎記憶體損毀弱點 - CVE-2016-0002

VBScript 引擎在處理 Internet Explorer 記憶體中的物件時於 Internet Explorer 呈現的方式中,存在一個遠端執行程式碼的弱點。此弱點可能會損毀記憶體,使攻擊者有機會以目前使用者的權限層級執行任意程式碼。

在網頁型攻擊的案例中,攻擊者可以針對這個經由 Internet Explorer 引起的弱點來設計並架設蓄意製作的網站,然後引誘使用者檢視該網站。攻擊者也可以嵌入 ActiveX 控制項,該控制項在內含 IE 轉譯引擎的應用程式或 Microsoft Office 文件中標示為「安全的初始化」。攻擊者也可能利用受侵害的網站,以及接受或裝載使用者提供內容或廣告的網站。這些網站可能含有經過蓄意製作並利用此弱點的內容。

成功利用此弱點的攻擊者可以取得與目前使用者相同的使用者權限。如果目前的使用者以系統管理使用者權限登入,則成功利用弱點的攻擊者可以取得受影響系統的控制權。攻擊者接下來將能安裝程式,檢視、變更或刪除資料,或建立具有完整使用者權限的新帳戶。

這項更新會修改 VBScript 指令碼引擎處理記憶體中物件的方式,藉此解決此弱點。

下表包含「一般性弱點」清單中每個弱點的標準項目連結:

弱點標題 CVE 編號 已公開揭露 是否遭到利用
指令碼引擎記憶體損毀弱點 CVE-2016-0002
### 緩和因素 Microsoft 尚未找到此項弱點的任何[緩和因素](https://technet.microsoft.com/zh-tw/library/security/dn848375.aspx)。 ### 因應措施 下列[因應措施](https://technet.microsoft.com/zh-tw/library/security/dn848375.aspx)可能對您的狀況有所助益: - **限制存取 VBScript.dll** - 在 32 位元系統中,於系統管理命令提示字元中輸入以下命令: ``` takeown /f %windir%\system32\vbscript.dll cacls %windir%\system32\vbscript.dll /E /P everyone:N ``` - 在 64 位元系統中,於系統管理命令提示字元中輸入以下命令: ``` takeown /f %windir%\syswow64\vbscript.dll cacls %windir%\syswow64\vbscript.dll /E /P everyone:N ``` **因應措施的影響。**使用 VBScript 的網站可能無法正常運作。 **如何復原因應措施。** - 在 32 位元系統中,於系統管理命令提示字元中輸入以下命令: ``` cacls %windir%\system32\vbscript.dll /E /R everyone ``` - 在 64 位元系統中,於系統管理命令提示字元中輸入以下命令: ``` cacls %windir%\syswow64\vbscript.dll /E /R everyone ``` 安全性更新部署 -------------- 如需安全性更新部署資訊,請在[這裡](#kbarticle)參閱<提要>中的 Microsoft 知識庫文章。 致謝 ---- Microsoft 了解資訊安全業界所做的努力,其盡責地透露弱點來協助我們保護客戶。請參閱[致謝](https://tnstage.redmond.corp.microsoft.com/en-us/library/mt674627.aspx) (英文) 以取得詳細資訊。 免責聲明 -------- Microsoft 知識庫 (Microsoft Knowledge Base) 中的資訊係以其「現狀」提供,並不提供任何形式之擔保。Microsoft 不做任何明示或默示的責任擔保,包括適售性以及適合某特定用途之擔保責任。無論任何情況下的損害,Microsoft Corporation 及其供應商皆不負任何法律責任,包括直接、間接、偶發、衍生性、所失業務利益或特殊損害。即使 Microsoft Corporation 及其供應商已被告知此類損害的可能性亦不負任何責任。某些地區不允許排除及限制衍生性或附隨損害賠償責任,因此前述限制不適用於這些地區。 修訂 ---- - V1.0 (2016 年 1 月 12 日):公告發行。 - V1.1 (2016 年 5 月 25 日):從**依受影響軟體列出的弱點嚴重性等級和最大安全性影響**表格中移除重複列,以及新增適當的更新編號加以說明。這只是資訊的變更。 *頁面產生時間:2016-05-25 12:44-07:00。*